- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes

# QStyleHintReturn Class Reference

Search for all occurrences

## Detailed Description

Definition at line 907 of file qstyleoption.h.

`#include <qstyleoption.h>`

Inheritance diagram for QStyleHintReturn:
[legend]

List of all members.

## Public Types
enum | HintReturnType { SH_Default = 0xf000, SH_Mask, SH_Variant }
enum | StyleOptionType { Type = SH_Default }
enum | StyleOptionVersion { Version = 1 }
## Public Member Functions
| QStyleHintReturn (int version=QStyleOption::Version, int type=SH_Default)
| ~QStyleHintReturn ()
## Public Attributes
int | version
int | type

## Member Enumeration Documentation

enum HintReturnType

Search for all occurrences

Enumerator:

  SH_Default | Search for all occurrences
  SH_Mask | Search for all occurrences
  SH_Variant | Search for all occurrences

Definition at line 909 of file qstyleoption.h.

                            {
            SH_Default=0xf000, SH_Mask, SH_Variant
        };

enum StyleOptionType

Search for all occurrences

Enumerator:

  Type | Search for all occurrences

Reimplemented in QStyleHintReturnMask, and QStyleHintReturnVariant.

Definition at line 913 of file qstyleoption.h.

    { Type = SH_Default };

enum StyleOptionVersion

Search for all occurrences

Enumerator:

  Version | Search for all occurrences

Reimplemented in QStyleHintReturnMask, and QStyleHintReturnVariant.

Definition at line 914 of file qstyleoption.h.

    { Version = 1 };

## Constructor & Destructor Documentation

QStyleHintReturn | ( | int | version = `QStyleOption::Version`,
|  | int | type = `SH_Default`
| ) |  |

~QStyleHintReturn | ( |  | ) |

## Member Data Documentation

int version

Search for all occurrences

Definition at line 919 of file qstyleoption.h.

int type

Search for all occurrences

Definition at line 920 of file qstyleoption.h.

The documentation for this class was generated from the following file:

- QtGui/qstyleoption.h

QStyleHintReturn QStyleHintReturn QStyleHintReturn QStyleHintReturn QStyleHintReturn QStyleHintReturn QStyleHintReturn QStyleHintReturn QStyleHintReturn QStyleHintReturn
QStyleHintReturn QStyleHintReturn QStyleHintReturn QStyleHintReturn QStyleHintReturn QStyleHintReturn QStyleHintReturn QStyleHintReturn QStyleHintReturn QStyleHintReturn